package com.aucma.dms.controller;


import com.aucma.common.core.controller.BaseController;
import com.aucma.common.core.domain.AjaxResult;
import com.aucma.common.core.page.TableDataInfo;
import com.aucma.common.utils.poi.ExcelUtil;
import com.aucma.dms.domain.DmsPlanLube;
import com.aucma.dms.service.IDmsPlanLubeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 润滑计划Controller
 *
 * @author Open Platform
 * @date 2024-01-12
 */
@RestController
@RequestMapping("/dms/lube")
public class DmsPlanLubeController extends BaseController
{

    @Autowired
    private IDmsPlanLubeService dmsPlanLubeService;
/*    @Autowired
    private RemoteJobService remoteJobService;*/

    /**
     * 查询润滑计划列表
     */
    //@PreAuthorize("@ss.hasPermi('dms:lube:list')" )
    @GetMapping("/list")
    public TableDataInfo list(DmsPlanLube dmsPlanLube)
    {
        startPage();
        List<DmsPlanLube> list = dmsPlanLubeService.selectDmsPlanLubeList(dmsPlanLube);
        return getDataTable(list);
    }

    /**
     * 导出润滑计划列表
     */
    //@PreAuthorize("@ss.hasPermi('dms:lube:export')" )
    ////@Log(title = "润滑计划", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, DmsPlanLube dmsPlanLube)
    {
        List<DmsPlanLube> list = dmsPlanLubeService.selectDmsPlanLubeList(dmsPlanLube);
        ExcelUtil<DmsPlanLube> util = new ExcelUtil<DmsPlanLube>(DmsPlanLube.class);
        util.exportExcel(response, list, "润滑计划数据");
    }

    /**
     * 获取润滑计划详细信息
     */
    //@PreAuthorize("@ss.hasPermi('dms:lube:query')" )
    @GetMapping(value = "/{planLubeId}")
    public AjaxResult getInfo(@PathVariable("planLubeId") Long planLubeId)
    {
        return success(dmsPlanLubeService.selectDmsPlanLubeByPlanLubeId(planLubeId));
    }

    /**
     * 新增润滑计划
     */
    //@PreAuthorize("@ss.hasPermi('dms:lube:add')" )
    ////@Log(title = "润滑计划", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody DmsPlanLube dmsPlanLube)
    {
        int i = dmsPlanLubeService.insertDmsPlanLube(dmsPlanLube);
        return toAjax(i);
    }

    /**
     * 修改润滑计划
     */
    //@PreAuthorize("@ss.hasPermi('dms:lube:edit')" )
    ////@Log(title = "润滑计划", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody DmsPlanLube dmsPlanLube)
    {
        return toAjax(dmsPlanLubeService.updateDmsPlanLube(dmsPlanLube));
    }

    /**
     * 删除润滑计划
     */
    //@PreAuthorize("@ss.hasPermi('dms:lube:remove')" )
    ////@Log(title = "润滑计划", businessType = BusinessType.DELETE)
	@DeleteMapping("/{planLubeIds}")
    public AjaxResult remove(@PathVariable Long[] planLubeIds)
    {
        return toAjax(dmsPlanLubeService.deleteDmsPlanLubeByPlanLubeIds(planLubeIds));
    }
}
